Package org.apache.jorphan.reflect

# Class RethrowServiceLoadExceptionHandler

java.lang.Object
org.apache.jorphan.reflect.RethrowServiceLoadExceptionHandler

All Implemented Interfaces:
  `ServiceLoadExceptionHandler<Object>`

public class RethrowServiceLoadExceptionHandler extends Object implements ServiceLoadExceptionHandler<Object>
Rethrows service loading failures as `IllegalStateException`.

## Constructor Summary

Constructors
Constructor
Description
`RethrowServiceLoadExceptionHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Class<?> service, String className, Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RethrowServiceLoadExceptionHandler

public RethrowServiceLoadExceptionHandler()

## Method Details

### handle

public void handle(Class<?> service, String className, Throwable throwable)

Specified by:
  `handle` in interface `ServiceLoadExceptionHandler<Object>`